﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Resources.Appearance;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Date",typeof(System.DateTime));
        dt.Columns.Add("ValueX", typeof(System.Int32));

        dt.Rows.Add(new object[] { new DateTime(2011,5,7), 13 });
        dt.Rows.Add(new object[] { new DateTime(2011,6,7), 15});
        dt.Rows.Add(new object[] { new DateTime(2011, 9, 7), 25 });

        NumericTimeSeries series = new NumericTimeSeries();
        series.Data.DataSource = dt;
        series.Data.TimeValueColumn = "Date";
        series.Data.ValueColumn = "ValueX";
        series.DataBind();

        UltraChart1.Series.Add(series);

        UltraChart1.Axis.X.TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle.DataInterval;
        UltraChart1.Axis.X.TickmarkIntervalType = Infragistics.UltraChart.Shared.Styles.AxisIntervalType.Days;
        UltraChart1.Axis.X.TickmarkInterval = 3;

        //same thing using style set to a small percentage
        //UltraChart1.Axis.X.TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle.Percentage;
        //UltraChart1.Axis.X.TickmarkPercentage = 3.0;
        
        //this should work fine
        //UltraChart1.Axis.X.TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle.Smart;
    }
}